RDKit::MolStandardize::AllowedAtomsValidation Class Reference

`#include <Validate.h>`

Inheritance diagram for RDKit::MolStandardize::AllowedAtomsValidation:

## Public Member Functions

| AllowedAtomsValidation (const std::vector< std::shared_ptr< Atom >> &atoms)
std::vector< ValidationErrorInfo > | validate (const ROMol &mol, bool reportAllFailures) const override

## Detailed Description

The AllowedAtomsValidation class lets the user input a list of atoms, anything not on

Definition at line 161 of file Validate.h.

## Constructor & Destructor Documentation

## AllowedAtomsValidation()

RDKit::MolStandardize::AllowedAtomsValidation::AllowedAtomsValidation | ( | const std::vector< std::shared_ptr< Atom >> & | atoms | ) |

inline

Definition at line 164 of file Validate.h.

## Member Function Documentation

## validate()

std::vector<ValidationErrorInfo> RDKit::MolStandardize::AllowedAtomsValidation::validate | ( | const ROMol & | mol,
|  | bool | reportAllFailures
| ) |  | const

override virtual

Implements RDKit::MolStandardize::ValidationMethod.

The documentation for this class was generated from the following file:

- Validate.h